#ifndef _SIZED_TYPES_H
#define _SIZED_TYPES_H

#include <config.h>

#if SIZEOF_CHAR == 1
#  define INT8 char
#  define UINT8 unsigned char
#else
#  error problems finding propper sized storage
#endif

#if SIZEOF_SHORT == 2
#  define INT16 short
#  define UINT16 unsigned short
#elif SIZEOF_INT == 2
#  define INT16 int
#  define UINT16 unsigned int
#else
#  error problems finding propper sized storage
#endif

#if SIZEOF_INT == 4
#  define INT32 int
#  define UINT32 unsigned int
#elif SIZEOF_LONG == 4
#  define INT32 long
#  define UINT32 unsigned long
#else
#  error problems finding propper sized storage
#endif

#endif
